Disables a [cache instance](https://docs.cloud.google.com/storage/docs/rapid/rapid-cache.md.txt)
in a specified bucket.

When you call this API, the time to live (TTL) of data entries stops
resetting and data is evicted from the cache when the entry expires. During this
time, new data entries cannot be written to the cache, but existing data entries
can still be read from the cache. After being disabled for a 1-hour grace
period, the cache is deleted.

The [`AnywhereCaches: resume` API](https://docs.cloud.google.com/storage/docs/json_api/v1/AnywhereCaches/resume.md.txt)
can revoke the disablement during the 1-hour grace period.

## Required permissions

The authenticated user must have the `storage.anywhereCaches.disable` IAM permission on the bucket to use this method.

## Request

### HTTP request

```
POST https://storage.googleapis.com/storage/v1/b/bucket/anywhereCaches/anywhereCacheID/disable
```

In addition to [standard query parameters](https://docs.cloud.google.com/storage/docs/json_api/v1/parameters.md.txt#query), the following parameters apply to this method.

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `bucket` | `string` | Name of a bucket. |
| `anywhereCacheID` | `string` | A value that, along with the bucket's name, uniquely identifies the cache. |

To see an example of how to include parameters in a request, see the
[JSON API Overview](https://docs.cloud.google.com/storage/docs/json_api.md.txt#query_parameters) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an
[AnywhereCache resource](https://docs.cloud.google.com/storage/docs/json_api/v1/AnywhereCache.md.txt#resource-representation)
in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.